<?php
// required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../config/database.php';
include_once '../objects/suspend.php';
date_default_timezone_set('Asia/Rangoon'); 
session_start();

$database = new Database();
$db = $database->getConnection();
 
$suspend = new Suspend($db);
$data = json_decode(file_get_contents("php://input"));
	
$suspend->city = $data->city;
$suspend->suspend_date = $data->suspend_date;
$suspend->id_no = $data->id_no;
$suspend->customer_id = $data->customer_id;
$suspend->invoice_no = $data->invoice_no;
$suspend->remark = $data->remark;
$suspend->entry_by = isset($_SESSION['user'])?$_SESSION['user']:"";
$suspend->entry_date_time = date("Y-m-d H:i:s");	


	if($suspend->create()){
		$arr = array(
			"message" => "created"
		);
	}else{
		$arr = array(
			"message" => "error"
		);
	}
// }
echo json_encode($arr);
?>